import 'package:flutter/material.dart';
import 'package:hmg_patient_app_new/core/app_export.dart';
import 'package:hmg_patient_app_new/extensions/int_extensions.dart';
import 'package:hmg_patient_app_new/extensions/widget_extensions.dart';
import 'package:hmg_patient_app_new/theme/colors.dart';

class CommonShimmerWidget extends StatelessWidget {
  const CommonShimmerWidget({super.key});

  @override
  Widget build(BuildContext context) {
    return SizedBox(
      child: Container(
          decoration: BoxDecoration(
            borderRadius: BorderRadius.all(Radius.circular(10.r)),
            border: Border.all(color: AppColors.lightGreyEFColor, width: 1),
            boxShadow: [
              BoxShadow(
                color: const Color(0xff000000).withOpacity(.05),
                blurRadius: 26,
                offset: const Offset(0, -3),
              ),
            ],
          ),
          child: Padding(
            padding: const EdgeInsets.all(12.0),
            child: Column(
              children: [
                Container(
                    height: 100,
                    decoration: BoxDecoration(
                      borderRadius: BorderRadius.all(Radius.circular(24.r)),
                    )).toShimmer(),
                16.height,
                Container(height: 24).toShimmer(),
                16.height,
                Container(height: 48).toShimmer(),
                16.height,
                Container(height: 24).toShimmer(),
                8.height
              ],
            ),
          )),
    );
  }
}
